<?php

/*===============================================*\
|| ############################################# ||
|| # JAKWEB.CH / Version 1.2                   # ||
|| # ----------------------------------------- # ||
|| # Copyright 2021 JAKWEB All Rights Reserved # ||
|| ############################################# ||
\*===============================================*/

if (!file_exists('../../config.php')) die('ajax/[config.php] config.php not exist');
require_once '../../config.php';

if (!isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !isset($_SESSION['jak_lcp_idhash'])) die("Nothing to see here");

if (!file_exists('../../class/ssp.class.php')) die('ajax/[ssp.class.php] config.php not exist');
require_once '../../class/ssp.class.php';

// Where get only the operator specific messages
$where = "opid = ".$opcacheid;

// DB table to use
$table = JAKDB_PREFIX.'blog';

// Table's primary key
$primaryKey = 'id';

// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
  array( 'db' => 'id', 'dbjoin' => 'id', 'dt' => 0 ),
  array( 'db' => 'id', 'dbjoin' => 'id', 'dt' => 1, 'formatter' => function( $d, $row ) {
      return '<input type="checkbox" name="jak_delete_blogs[]" class="highlight" value="'.$d.':#:'.$row['active'].'">';
    } ),
  array( 'db' => 'title', 'dbjoin' => 'title', 'dt' => 2, 'formatter' => function( $d, $row ) {
      return '<a class="btn btn-sm btn-primary" href="'.str_replace('ajax/', '', JAK_rewrite::jakParseurl('blog', 'edit', $row['id'])).'">'.$d.'</a>';
    } ),
  array( 'db' => 'lang', 'dbjoin' => 'lang', 'dt' => 3 ),
  array( 'db' => 'content', 'dbjoin' => 'content', 'dt' => 4, 'formatter' => function( $d, $row ) {
      return jak_cut_text($d, 100, "...");
    } ),
  array( 'db' => 'dorder', 'dbjoin' => 'dorder', 'dt' => 5 ),
  array( 'db' => 'active', 'dbjoin' => 'active', 'dt' => 6, 'formatter' => function( $d, $row ) {
      return ($d == 1 ? '<i class="fa fa-check"></i>' : '<i class="fa fa-times"></i>');
    } ),
  array( 'db' => 'time', 'dbjoin' => 'time', 'dt' => 7, 'formatter' => function( $d, $row ) {
      return JAK_base::jakTimesince($d, JAK_DATEFORMAT, JAK_TIMEFORMAT);
    } )
);

die(json_encode(SSP::simple( $_GET, $table, $primaryKey, $columns, $where )));
?>
